Register

Welcome to the RDI-Board Community.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed.


Donate Now Goal amount for this month: 100 EUR, Received: 100 EUR (100%)
Donate to support this site...

Results 1 to 13 of 13

Thread: php on Dreambox

  1. #1
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Oct 2007
    Posts
    5
    Posts Thanks / Likes

    Default php on Dreambox


    On the RDI DM7000 plugins download page I found plugin Apache and PHP
    " Apache and PHP for Dreambox"

    Unfortunately it is impossible to start such plugin (Gemini 4.00 - kernel 2.6.9) due to error:
    /hdd/apache/usr/sbin/apachectl start
    /usr/lib/libc.so.6: version `GLIBC_2.3.4' not found

    Is there somebody on these boards who could help me through it?




  2. #2
    Banned Member Expert
    Join Date
    Apr 2005
    Location
    Coast of Ionian Sea
    Posts
    1,040
    Posts Thanks / Likes

    Default

    Database error
    The database has encountered a problem.
    --------------------------------------------------------------------------------
    Please try the following:
    Load the page again by clicking the Refresh button in your web browser.
    Open the www.rdi-board.com home page, then try to open another page.
    Click the Back button to try another link.
    The www.rdi-board.com forum technical staff have been notified of the error, though you may contact them if the problem persists.
    We apologise for any inconvenience.
    try the above quote....

    or read this thread if you can: RDI Down
    No GUTS!No GLORY!
    .

  3. #3
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Oct 2007
    Posts
    5
    Posts Thanks / Likes

    Default

    There is no problem with downloading a file.
    Probably plugin is not for DM7000 but for DM7025.
    My intention is find someone who use php on DM7000
    Maybe someone made any adjustment?

  4. #4
    Banned Member Expert
    Join Date
    Apr 2005
    Location
    Coast of Ionian Sea
    Posts
    1,040
    Posts Thanks / Likes

    Default

    what i actually meant for this quote on error problem is that you may have downloaded a "partially" corrupt files due to this server problem.

    you seem to have downloaded the files completed but in that data stream a very tiny margin of error occurred but never showed (it does happen) what you should do is to download again the same file and try again what happens next......
    No GUTS!No GLORY!
    .

  5. #5
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Oct 2007
    Posts
    5
    Posts Thanks / Likes

    Default

    Quote Originally Posted by Zoren View Post
    what i actually meant for this quote on error problem is that you may have downloaded a "partially" corrupt files due to this server problem.

    you seem to have downloaded the files completed but in that data stream a very tiny margin of error occurred but never showed (it does happen) what you should do is to download again the same file and try again what happens next......
    Zoren,

    As I wrote before such plugin works only for DM7025
    (information confirmed by Laurent - contact in README file)
    Did you or anybody else use any php plugin on the DM7000?

  6. #6
    Banned Member Expert
    Join Date
    Apr 2005
    Location
    Coast of Ionian Sea
    Posts
    1,040
    Posts Thanks / Likes
    No GUTS!No GLORY!
    .

  7. #7
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Oct 2007
    Posts
    5
    Posts Thanks / Likes

    Default

    Could you be more detailed?
    Do you think that pli-Helenite-dm7000-20070709-3223.img could be a solution?

  8. #8
    Junior Member Master
    RDI - Board Default Avatar

    Join Date
    Apr 2007
    Posts
    80
    Posts Thanks / Likes

    Default

    Hi Miras_Mi,

    You need to install GCC on your dreambox to work. I am a linux professional, not seen a Dreambox. Dreambox is linux based, i believe. But the error you are getting clearly states that GCC has to get installed. I donot know if you can have shell access on your Dreambox. If you do, then first check if you have 'wget' installed. If it is already installed, then go to http://gcc.gnu.org/mirrors.html, check any of the GCC mirrors, copy the URL for download, and tyoe
    wget URL, where URL is the URL of the gcc download location. After downloading, please reply to this thread. If you are successful in doing the above we can proceed.

  9. #9
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Oct 2007
    Posts
    5
    Posts Thanks / Likes

    Default

    There are many , many files for many platforms.
    I download gcc-g++-3.3.2.tar. I belive is the right version for Dreambox.
    My Linux software version:
    Linux dreambox 2.6.9 #1 Tue Sep 18 13:05:50 CEST 2007 ppc unknown

  10. #10
    Junior Member Master
    RDI - Board Default Avatar

    Join Date
    Apr 2007
    Posts
    80
    Posts Thanks / Likes

    Default

    Hi,
    Ya thats the one. After downloading it please give the following command:
    tar -xvzf gcc-g++-3.3.2.tar
    it creates a folder within a folder, browse through the folder, give the command
    ./configure
    . After it gets configured, type
    make
    after it finishes type
    make install
    in your command line. If you get permission denied error, please perform all the above operations after typing
    su
    . It will ask for root password. Give the root password. then follow the above commands. If you run into some error in any of the above process, please let me know.

  11. #11
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Aug 2009
    Posts
    2
    Posts Thanks / Likes

    Default

    Quote Originally Posted by miras_mi View Post
    On the RDI DM7000 plugins download page I found plugin Apache and PHP
    " Apache and PHP for Dreambox"

    Unfortunately it is impossible to start such plugin (Gemini 4.00 - kernel 2.6.9) due to error:
    /hdd/apache/usr/sbin/apachectl start
    /usr/lib/libc.so.6: version `GLIBC_2.3.4' not found

    Is there somebody on these boards who could help me through it?
    I did notice this old post. But there is no reply for the last suggestion to see if it worked or not.
    I am trying to do the same thing, with apache and php on my DM7000, and I get the same error message as the orginal poster got.
    It seems like we need an updated libc.so.6
    I have not tryed to do the gcc method described in the last post, in fear that I might screw up the image totally. I dont even know if I got the right gcc archive either.

    Have anyone gotten any further in getting apache and php to run on DM7000. BTW I use Gemini 460.

  12. #12
    Platinum member Expert
    Join Date
    Jun 2004
    Location
    29°20'N 47°59'E
    Posts
    5,711
    Posts Thanks / Likes

    Default

    people are squeezing things where they are not supposed to be.

    go get a real linux box/pc and install apache2 on that. with the very limited capability of your hardware in that dreambox, i doubt you will even get a decent performance if you want it to act as your apache server.

    have i tried? it's pointless to even start....
    HP-Compaq DC5000 MT 1.5GB RAM
    Debian Squeeze with Smargos
    CCcam 2.1.4

  13. #13
    Junior Member Junior
    RDI - Board Default Avatar

    Join Date
    Aug 2009
    Posts
    2
    Posts Thanks / Likes

    Default


    Quote Originally Posted by boknoy_ph View Post
    people are squeezing things where they are not supposed to be.

    go get a real linux box/pc and install apache2 on that. with the very limited capability of your hardware in that dreambox, i doubt you will even get a decent performance if you want it to act as your apache server.

    have i tried? it's pointless to even start....
    I got contact with who I think is the source of the apache/php archive. Unfortunately he had a DM7020, so that the files are compiled to work on that box. That might be the reason for not working on DM7000.
    I was hoping to get reply from someone who have a version compiled for DM7000.

    I dont need a high-performance server. Its just for my personal use, and I just want to try to get it running on this box. And the dreambox already have apache (a lite version) built in, in the Gemini images, which runs ok. But it doesnt have php, so thats why I tried this.
    I already have a PC with apache and php running, but I dont like the noisy PC to be turned on all the time. And the Dreambox is quiet and is already running 24/7. And I dont have any plans to buy a new computer just for this.

 

 

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Back to Top